Name:            perl-Time-HiRes
Version:         1.9760
Release:         2
Summary:         High resolution time, sleep, and alarm for perl
License:         GPL+ or Artistic
URL:             https://metacpan.org/release/Time-HiRes
Source0:         https://cpan.metacpan.org/authors/id/J/JH/JHI/Time-HiRes-%{version}.tar.gz

BuildRequires:   findutils gcc make perl-devel perl-generators perl-interpreter perl(Config)
BuildRequires:   perl(ExtUtils::Constant) perl(ExtUtils::MakeMaker) >= 6.76 perl(File::Spec) perl(strict)
BuildRequires:   perl(Carp) perl(Exporter) perl(XSLoader)
BuildRequires:   perl(File::Temp) perl(Test::More) perl(POSIX)
Requires:        perl(Carp) perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Implement usleep, ualarm, and gettimeofday for Perl, as well as wrappers
to implement time, sleep, and alarm that know about non-integral seconds.

%package_help

%prep
%autosetup -n Time-HiRes-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%pre

%preun

%post

%postun

%files
%doc Changes README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Time*

%files help
%{_mandir}/man3/*

%changelog
* Fri Sep 27 2019 chengquan<chengquan3@huawei.com> - 1.9760-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix spec rule in openeuler

* Fri Sep 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.9760-1
- Package init
